Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
Class GetParamsDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty
              org.codehaus.groovy.grails.web.metaclass.GetParamsDynamicProperty

All Implemented Interfaces:
  DynamicProperty

    public class GetParamsDynamicProperty

extends AbstractDynamicControllerProperty

A dynamic property that adds a "params" map to a controller for accessing request and controller parameters

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Field Summary
`static String` | `PROPERTY_NAME`

Fields inherited from class org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty
`request, response`

Constructor Summary
`GetParamsDynamicProperty(HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `addParam(String paramName, Object paramValue)`
`void` | `addParams(Map params)`
`Object` | `get(Object object)` Call the getter on the given object
`void` | `set(Object object, Object newValue)` Call the setter on the given object

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
`getPropertyName, isPropertyMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### GetParamsDynamicProperty

    public GetParamsDynamicProperty(HttpServletRequest request,
                                    HttpServletResponse response)

Method Detail

### get

    public Object get(Object object)

  Description copied from interface: `DynamicProperty`
  Call the getter on the given object

  Specified by:
    `get` in interface `DynamicProperty`
  Specified by:
    `get` in class `AbstractDynamicControllerProperty`
  Parameters:
    `object` - The target object
  Returns:
    The result of the getter

### set

    public void set(Object object,
                    Object newValue)

  Description copied from interface: `DynamicProperty`
  Call the setter on the given object

  Specified by:
    `set` in interface `DynamicProperty`
  Specified by:
    `set` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
    `newValue` - The new value of the property

### addParam

    public void addParam(String paramName,
                         Object paramValue)

### addParams

    public void addParams(Map params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project